clear all
close all
clc

%% Linearizing Floating WT with Barge Platform.

fn = 'NRELOffshrBsline5MW_Floating_Lin_Frzn.fst';
RootName = fn(1:length(fn)-4);            % Name of the Linearization file results.

%% Assume Frozen wake
system(['FAST_Frzn ' fn]);   % FAST_v6.01_AeroDyn_v12.58_WithFrozenWakeAssumptionDuringLinearization
Update_Lin_File([fn(1:length(fn)-4) '.lin']);
GetMats_FAST_6;                                    % Load Matrices to WorkSpace.

%% No Frozen wake assumption
% system(['FAST ' fn]);   % FAST_v6.01_AeroDyn_v12.58_WithFrozenWakeAssumptionDuringLinearization
% GetMats;                                    % Load Matrices to WorkSpace.

% Run MBC3  transformation
% mymbc3;
% Save the linearized model into matlab file for later use.
% save([RootName '_LinWT.mat']);
% break

%% Plot Stiffness MAtrix as function to Azimuth
% extract matrix elements
k11 = [];
k12 = [];
k21 = [];
k22 = [];
for i= 1: length(Azimuth)
    k11 = [k11; StffMat(1,1,i)];
    k12 = [k12; StffMat(1,2,i)];
    k21 = [k21; StffMat(2,1,i)];
    k22 = [k22; StffMat(2,2,i)];
end
h=myfigure('Stiffness Matrix as function to Azimuth');
subplot(2,2,1);
    plot(Azimuth, k11,'-b','Linewidth',2);
    xlabel('Azimuth [deg]');
    ylabel('K(1,1)');
    grid on
subplot(2,2,2)    
    plot(Azimuth, k12,'-b','Linewidth',2);
    xlabel('Azimuth [deg]');
    ylabel('K(1,2)');
    grid on
subplot(2,2,3)    
    plot(Azimuth, k21,'-b','Linewidth',2);
    xlabel('Azimuth [deg]');
    ylabel('K(2,1)');
    grid on
subplot(2,2,4)    
    plot(Azimuth, k22,'-b','Linewidth',2);
    xlabel('Azimuth [deg]');
    ylabel('K(2,2)');
    grid on

print(h,'-djpeg','Frzn_StffMat_Tower_1st_Foreaft_Mode.jpeg')

